Bug 35997 - RFE: Tutorial in end-user ready to use format
RFE: Tutorial in end-user ready to use format
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: newt (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-16 03:03 EDT by Mike A. Harris
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sgml2html error output (12.42 KB, text/plain)
2001-04-16 03:04 EDT, Mike A. Harris
no flags Details

  None (edit)
Description Mike A. Harris 2001-04-16 03:03:36 EDT
I'm wanting to learn newt for the Xconfigurator rewrite, however
I've never used it before, nor do I know anything about SGML.  I've
never had any luck converting sgml to anything useful, and when I try
to convert the newt tutorial.sgml to any other format it fails.

Could you please have the newt-devel rpm supply at least a text and
an html version of the tutorial in addition to the sgml one?

Alternatively, let me know how to make them, and I will send a spec/
Makefile patch back for incorporation into the next build.

I'm trying to do:

sgml2html tutorial.html

.. and ending up with the errors I'm attaching.

Thanks.
Comment 1 Mike A. Harris 2001-04-16 03:04:21 EDT
Created attachment 15424 [details]
sgml2html error output
Comment 2 Bryce Nesbitt 2001-06-08 11:23:36 EDT
It's in "docbook" format, use "jw tutorial.sgml" to convert it.

Unfortunately, the tutorial really for "advanced users".  It skips the
easiest to use and most functional newt functions like:
	newtWinEntries
	newtWinMenu
	newtWinChoice
	newtWinTernary
Those four all automatically center, format your text and basically
do everything but wipe the snot off your nose.  They're great.
	
See "newt.h" for everything else.
Comment 3 Elliot Lee 2001-09-11 18:11:05 EDT
User error.

Note You need to log in before you can comment on or make changes to this bug.